[Piuparts-commits] [piuparts] 04/07: custom-scripts: add debugging output for resolvconf. (See #660350)
Holger Levsen
holger at moszumanska.debian.org
Mon Feb 17 23:15:57 UTC 2014
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch develop
in repository piuparts.
commit 6dbb92a36d27cfd56920c66962b45c51e3395650
Author: Holger Levsen <holger at layer-acht.org>
Date: Mon Feb 17 23:37:08 2014 +0100
custom-scripts: add debugging output for resolvconf. (See #660350)
---
custom-scripts/scripts/post_remove_extras | 17 +++++++++++++++++
custom-scripts/scripts/pre_install_extras | 5 +++++
2 files changed, 22 insertions(+)
diff --git a/custom-scripts/scripts/post_remove_extras b/custom-scripts/scripts/post_remove_extras
new file mode 100755
index 0000000..f36a35e
--- /dev/null
+++ b/custom-scripts/scripts/post_remove_extras
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+log_debug() {
+ echo "Debug: piuparts exception for package $PIUPARTS_OBJECTS"
+}
+
+#
+# deal with exceptions:
+#
+case ${PIUPARTS_OBJECTS%%=*} in
+ resolvconf)
+ log_debug
+ echo "Debug: contents of /etc/resolv.conf"
+ cat /etc/resolv.conf
+ ;;
+esac
diff --git a/custom-scripts/scripts/pre_install_extras b/custom-scripts/scripts/pre_install_extras
index af38e77..b9c7255 100755
--- a/custom-scripts/scripts/pre_install_extras
+++ b/custom-scripts/scripts/pre_install_extras
@@ -32,5 +32,10 @@ case ${PIUPARTS_OBJECTS%%=*} in
esac
apt-get -y install $HEADERS-$FLAVOR
;;
+ resolvconf)
+ log_debug
+ echo "Debug: contents of /etc/resolv.conf"
+ cat /etc/resolv.conf
+ ;;
esac
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git
More information about the Piuparts-commits
mailing list